# Uses of Interface
java.util.concurrent.ForkJoinPool.ForkJoinWorkerThreadFactory

Packages that use ForkJoinPool.ForkJoinWorkerThreadFactory
Package
Description
java.util.concurrent
Utility classes commonly useful in concurrent programming.

## Uses of ForkJoinPool.ForkJoinWorkerThreadFactory in java.util.concurrent

Fields in java.util.concurrent declared as ForkJoinPool.ForkJoinWorkerThreadFactory
Modifier and Type
Field
Description
`static final ForkJoinPool.ForkJoinWorkerThreadFactory`
ForkJoinPool.`defaultForkJoinWorkerThreadFactory`
Creates a new ForkJoinWorkerThread.
Methods in java.util.concurrent that return ForkJoinPool.ForkJoinWorkerThreadFactory
Modifier and Type
Method
Description
`ForkJoinPool.ForkJoinWorkerThreadFactory`
ForkJoinPool.`getFactory()`
Returns the factory used for constructing new workers.
Constructors in java.util.concurrent with parameters of type ForkJoinPool.ForkJoinWorkerThreadFactory
Modifier
Constructor
Description
``
`ForkJoinPool(int parallelism, ForkJoinPool.ForkJoinWorkerThreadFactory factory, Thread.UncaughtExceptionHandler handler, boolean asyncMode)`
Creates a `ForkJoinPool` with the given parameters (using defaults for others -- see `ForkJoinPool(int, ForkJoinWorkerThreadFactory, UncaughtExceptionHandler, boolean, int, int, int, Predicate, long, TimeUnit)`).
``
`ForkJoinPool(int parallelism, ForkJoinPool.ForkJoinWorkerThreadFactory factory, Thread.UncaughtExceptionHandler handler, boolean asyncMode, int corePoolSize, int maximumPoolSize, int minimumRunnable, Predicate<? super ForkJoinPool> saturate, long keepAliveTime, TimeUnit unit)`
Creates a `ForkJoinPool` with the given parameters.